/*
How the AI works.
A typical AI object contains an array of points. points are made up of X,Y coordinates.
A typical AI follows these points in order. It can either destroy itself, repeat it inverse,
or switch to a new AI once it reaches the end of the pattern.

In addition to the array of points are two more arrays: the fire array and the fire_order
array. The fire array contains arrays of the pattern of shooting for the enemy to do. The
fire_order array tells it what points it to use it on. 

For example. Point 0 has fire pattern 0 shooting until it reaches point 1, then pattern 1
begins.

IGNORE THAT

The AI works by an array of point objects. They contain an X, Y, and onPoint. There is an 
array of them in the AI object. The AI works by going from the points in order either in a 
loop or to the end. each point also has an onPoint, which tells it what to do when it 
reaches that point, in addition to going to the next point.

It also has an array of actions. Actions are loops such as firing guns that execute while
moving between points- they can be changed as you arrive at points.

The enemy object itself keeps track of where it's at in the AI object.

-------------
ACTION SCRIPT

Actions consist of a series of numbers that represent commands and in another array, the
properties- values that that action should use. onPoint uses an action object, but rather 
being used as a loop it is used only once.

0 - fire all weapons.
1 - change color
2 - fire select weapons
3 - change action
4 - do nothing
5 - change AI
6 - evaluate code.
7 - change speed
*/

function AI(points,actions,loop)
{
	this.points = points//Array of points
	this.actions = actions//Array of actions 
	this.loop = loop // 0 = destroy at end; 1 = loop
}

function ai_point(x,y,onPoint,onPointProp)
{
	this.x = x
	this.y = y
	this.onPoint = onPoint
	this.onPointProp = onPointProp
}

function ai_action(acts,props,delay)
{
	this.act = acts
	this.prop = props
	this.delay = delay
}

AI_LIST = new Array()


function ExecuteActionScript(actions,props,n)
{
	for (var i = 0; i < actions.length; i++)
		{
			switch (actions[i])
				{
					case 0:
							for (var i2 = 0; i2 < Enemys[n].point_obj.length; i2++)
								{					
									FireParticle(n,i2,1)
								}
							//PlaySound(RandomShot(),Random(0.5,1))	
					break;
					
					case 1:
							if (Enemys[n].color == 0) { Enemys[n].color = 1; }
							else { Enemys[n].color = 0; }
					break;
					
					case 2:
							for (var i2 = 0; i2 < props[i].length; i2++)
								{					
									FireParticle(n,props[i][i2],1)
								}					
					break;
					case 3:
						Enemys[n].ai_action = props[i][0]
					break;
					case 4:
					
					break;
					case 5:
						//Enemys[n].newai = props[i][0]
						Enemys[n].ai = props[i][0]
						Enemys[n].ai_point = 0;
					break;
					case 6:
						eval(props[i][0])
					break;
					case 7:
						Enemys[n].speed = props[i][0]
					break;
				
				}
		}
}