function LevelTwo()
{
bg = new Background([LoadImage("star1.png"),LoadImage("star2.png"),LoadImage("star3.png")],
										[2,4,3],
										[0,0,0],
										[false,false,false]
										[[0],[0],[0]]
										)

level = new Level(bg,
									[
									 new Event(1,0,1),
									 new Event(0,100,0),
									 new Event(2,0,0),
									 new Event(0,100,3),
									 new Event(0,100,4),
									 new Event(0,100,3),
									 new Event(0,100,4),
									 new Event(0,100,3),
									 new Event(0,100,4),									 
									 new Event(0,100,0),
									 new Event(0,50,3),
									 new Event(0,50,4),
									 new Event(0,50,0),
									 new Event(2,0,3),
									 new Event(1,0,4),
									 new Event(1,0,0),
									 new Event(1,0,3),
									 new Event(1,0,4),
									 new Event(0,400,5),
									 new Event(0,200,5),
									 new Event(0,100,5),
									 new Event(0,90,0),
									 new Event(1,0,3),
									 new Event(1,0,4),
									 new Event(0,300,5),
									 new Event(0,200,5),
									 new Event(0,100,5),
									 new Event(0,50,5),
									 new Event(0,30,5),									 									 									 									 										 										 									 									 
									 new Event(0,300,2),
									 new Event(0,200,6),
									 new Event(2,0,7),
									 new Event(0,500000,0)
									],
									[
									 new Action(0,[0]),
									 new Action(1,["level1.ogg"]),
									 new Action(1,["boss1.ogg"]),
									 new Action(0,[1]),
									 new Action(0,[2]),
									 new Action(0,[3]),
									 new Action(0,[4]),
									 new Action(4,["LevelTwoEnd()"])
									]
								 )

AI_LIST = new Array()
	AI_LIST.push(//0
		new AI(
			[new ai_point(140,16,[4],[0]),
			 new ai_point(138,74,[4],[0]),
			 new ai_point(214,70,[4],[0]),
			 new ai_point(210,142,[1],[0]),
			 new ai_point(85,145,[4],[0]),
			 new ai_point(78,213,[4],[0]),
			 new ai_point(144,205,[4],[0]),
			 new ai_point(148,259,[4],[0])],
			[new ai_action([0],[0],25)],
			0))
	AI_LIST.push(//1
		new AI(
			[new ai_point(105,7,[0],[0]),
			 new ai_point(1,77,[0],[0]),
			 new ai_point(88,125,[0],[0]),
			 new ai_point(8,259,[0],[0])],
			[new ai_action([0],[0],15)],
			0))				
	AI_LIST.push(//2
		new AI(
			[new ai_point(188,3,[0],[0]),
			 new ai_point(290,85,[0],[0]),
			 new ai_point(202,159,[0],[0]),
			 new ai_point(282,259,[0],[0])],
			[new ai_action([0],[0],15)],
			0))	
	AI_LIST.push(//3
		new AI(
			[new ai_point(3,3,[4],[0]),
			 new ai_point(308,124,[1],[0]),
			 new ai_point(11,259,[4],[0])],
			[new ai_action([0],[0],5)],
			0))							
	AI_LIST.push(//4
		new AI(
			[new ai_point(32,24,[4],[0]),
			 new ai_point(146,129,[4],[0]),
			 new ai_point(237,18,[4],[0]),
			 new ai_point(32,24,[4],[0]),
			 new ai_point(146,129,[4],[0]),
			 new ai_point(237,18,[5],[[5]])],			 
			[new ai_action([0],[[0]],5)],
			1))							 						 									 
	AI_LIST.push(//5
		new AI(
			[new ai_point(102,24,[4],[0]),
			 new ai_point(102,0,[4],[0]),
			 new ai_point(102,24,[4],[0]),
			 new ai_point(102,0,[4],[0]),
			 new ai_point(102,24,[4],[0]),
			 new ai_point(102,0,[5],[[4]])],			 
			[new ai_action([0,1],[[0],[0]],5)],
			1))		
						 
enemy_types = new Array()
	enemy_types.push(new Enemy(//0
		/*X:*/90,
		/*Y:*/-20,
		/*Shields:*/2,
		/*Money:*/100,
		/*Sprite:*/1,
		/*XY:*/GetSlots(LoadShip("globe.shp")),
		/*Particle Objs:*/[1,1,1,6],
		/*Speed:*/4,
		/*AI:*/0))		
	enemy_types.push(new Enemy(//1
		/*X:*/90,
		/*Y:*/-70,
		/*Shields:*/2,
		/*Money:*/50,
		/*Sprite:*/2,
		/*XY:*/GetSlots(LoadShip("twin.shp")),
		/*Particle Objs:*/[1,1],
		/*Speed:*/2,
		/*AI:*/1))
	enemy_types[enemy_types.length-1].color = 1				
	enemy_types.push(new Enemy(//2
		/*X:*/150,
		/*Y:*/-40,
		/*Shields:*/2,
		/*Money:*/50,
		/*Sprite:*/2,
		/*XY:*/GetSlots(LoadShip("twin.shp")),
		/*Particle Objs:*/[1,1],
		/*Speed:*/2,
		/*AI:*/2))
	enemy_types.push(new Enemy(//3
		/*X:*/90,
		/*Y:*/-20,
		/*Shields:*/50,
		/*Money:*/200,
		/*Sprite:*/1,
		/*XY:*/GetSlots(LoadShip("globe.shp")),
		/*Particle Objs:*/[3,3,3,3],
		/*Speed:*/4,
		/*AI:*/3))	
	enemy_types.push(new Enemy(//4
		/*X:*/90,
		/*Y:*/-20,
		/*Shields:*/300,
		/*Money:*/1000,
		/*Sprite:*/3,
		/*XY:*/GetSlots(LoadShip("mouth.shp")),
		/*Particle Objs:*/[1,1,1,5,1,1,1,5,1,1],
		/*Speed:*/2,
		/*AI:*/4))													
}

function LevelTwoPart2()
{
	Enemys = new Array()
	Players = new Array()
	Projectiles = new Array()
	Ship_ImageA = new Array()
	Ship_ImageB = new Array()
	
	Ship_ImageA.push(GenerateGameShipImage(Edit_Ship))
	Ship_ImageA.push(GenerateGameShipImage(LoadShip("globe.shp")))
	Ship_ImageA.push(GenerateGameShipImage(LoadShip("twin.shp")))	
	Ship_ImageA.push(GenerateGameShipImage(LoadShip("mouth.shp")))

	Ship_ImageB = Clone(Ship_ImageA)	
	
	Players.push(new Player(40,160,shields,money,0,GetSlots(Edit_Ship),def_key))

	ApplyEffectsToShips()
}

function LevelTwoEnd()
{
	
	money = Players[0].money
	shields = Players[0].shields
	if (shields != 0) { current_level = 3; }
	else { current_level = 5 }
	ProcList = new Array()
	ProcList.push(RenderGame)
	ProcList.push(ProcGame)
	ProcList.push(EndGame)
}