function LoadShip(file_name)
{
	f = OpenFile(file_name)
	
	points = new Array()
	lines = new Array()
	
	point_length = f.read("point_length",0)
	line_length = f.read("line_length",0)
	undo_length = f.read("undo_length",0)
	
	for (var i = 0; i < point_length; i++)
		{
			points[i] = new point(f.read("p"+i+"-x",0),f.read("p"+i+"-y",0))
			points[i].id = f.read("p"+i+"-id",.555)
			points[i].slot = f.read("p"+i+"-slot",0)
		}
		
	for (var i = 0; i < line_length; i++)
		{
			lines[i] = new line(f.read("l"+i+"-p1",.555),f.read("l"+i+"-p2",.555))
		}		
		
	for (var i = 0; i < undo_length; i++)
		{
			undo[i] = f.read("u"+i,0)
		}	
		
	ship = new line_ship(points,lines)
		
	return ship
}

function SaveShip(file_name,ship)
{
	f = OpenFile(file_name)

	f.write("point_length",ship.point.length)
	f.write("line_length",ship.line.length)
	f.write("undo_length",undo.length)

	for (var i = 0; i < ship.point.length; i++)
		{
			f.write("p"+i+"-x",ship.point[i].x)
			f.write("p"+i+"-y",ship.point[i].y)
			f.write("p"+i+"-id",ship.point[i].id)
			f.write("p"+i+"-slot",ship.point[i].slot)
		}

	for (var i = 0; i < ship.line.length; i++)
		{	
			f.write("l"+i+"-p1",ship.line[i].point1)
			f.write("l"+i+"-p2",ship.line[i].point2)
		}
		
	for (var i = 0; i < undo.length; i++)
		{
			f.write("u"+i,undo[i])
		}				

	f.flush()	
}

function SaveGame()
{
	f = OpenFile(player_name+".sav")
	f.write("money",money)
	f.write("shields",shields)
	f.write("mission",current_level)
	f.flush()
}

function LoadGame()
{
	f = OpenFile(player_name+".sav")
	money = f.read("money",0)
	shields = f.read("shields",0)
	current_level = f.read("mission",1)
}

function SaveOptions()
{
	f = OpenFile("Options.cfg")
	f.write("A",AlphaEffects)
	f.write("CBG",ComplexBG)
	f.write("M",music)	
	f.write("S",sound)
	f.flush();		
}

function LoadOptions()
{
	f = OpenFile("Options.cfg")
	AlphaEffects = f.read("A",AlphaEffects)
	ComplexBG = f.read("CBG",ComplexBG)
	music = f.read("M",music)
	sound = f.read("S",sound)
}