/*
How levels work.
A level consists of a set of propertys such as the background, and the actions. Events are
what occur at certain times in the game. You can set them to activate immdeatly after the 
last event, after a certain amount of time since the last event, or when all enemys are 
destroyed. Actions are what are called when a event occurs.

Actions can do the following: change music, change background, create/destroy enemys, 
create/destroy projectiles, evaluate a string, etc.
*/

function Background(i,s,d,a,ap)
{
	this.img = i
	this.speed = s
	this.direction = d
	this.animation = a
	this.animation_pattern = ap
	pos = new Array(i.length)	
	for (var ind = 0; ind < i.length; ind++ )
		{
			pos[ind] = 0
		}
	this.position = pos
}

function Level(bg,events,actions)
{
	this.background = bg
	this.events = events
	this.actions = actions
	this.delay = 0
}

function Event(condition,prop,action)
{
	this.condition = condition
	this.prop = prop
	this.action = action
}

function Action(act,prop)
{
	this.act = act
	this.prop = prop
}

/*
CONDITIONS

0 - execute prop time after last event
1 - execute immedeatly
2 - execute if all enemys dead


ACTIONS

0 - Create prop[0] enemy
1 - Change music to prop[0]
2 - Change bg prop[0] img to prop[1]
3 - Increase all bgs speed by prop[0]
4 - Evalauate code

*/

function ProcLevel()
{
	level.delay++;
	if (level.events.length > 0)
		{
			switch (level.events[0].condition)
				{
					case 0:
						if (level.delay > level.events[0].prop)
							{
								DoAction(level.events[0].action)
								level.delay = 0
								level.events.shift()
							}
					break;
			
					case 1:
						DoAction(level.events[0].action)
						level.delay = 0
						level.events.shift()
					break;
			
					case 2:
						if (Enemys.length == 0)
							{
								DoAction(level.events[0].action)
								level.delay = 0
								level.events.shift()
							}
					break;
				 }
		}
}

function DoAction(a)
{
	switch (level.actions[a].act)
		{
			case 0:
				Enemys.push(Clone(enemy_types[level.actions[a].prop[0]]))
			break;
			case 1:
				ChangeMusic(level.actions[a].prop[0])
			break;
			case 2:
				level.background.img[level.actions[a].prop[0]] = level.actions[a].prop[1]
			break;
			case 3:
				for (var i = 0; i < level.background.speed.length; i++)
					{
						level.background.speed[i] += level.actions[a].prop[0]
					}
			break;
			case 4:
				eval(level.actions[a].prop[0])
			break;
		}
}

var level
var enemy_types