function SymOrNorm_Menu()
{
	OldBG = GUI.BG
	OldBGS = GUI.BG_Scroll
	GUI = new gui()

	GUI.BG = OldBG
	GUI.BG_Scroll = OldBGS

	GUI.Objs.push(new Text(40,100,"Symmetrical drawing or Free-style?"))
	GUI.Objs.push(new Button(60,140,"Symmetrical",0,1,"sym_mode = true; Trans(Building_Menu); "))
	GUI.Objs.push(new Button(170,140,"Free Style",0,1,"sym_mode = false; Trans(Building_Menu); "))

	GUI.Windows.push(LoadWindowStyle("Active.rws"))
	GUI.Windows.push(LoadWindowStyle("Inactive.rws"))
	
	
}

bg_off = false

function Building_Menu()
{
	
	ship_edit = true;
	

	OldBG = GUI.BG
	OldBGS = GUI.BG_Scroll
	GUI = new gui()

	GUI.BG = OldBG
	GUI.BG_Scroll = OldBGS
	
	GUI.Objs.push(new Image(0,0,0,"DoNothing();"))

	if (sym_mode != true) GUI.Objs.push(new Button(240,20,"Place Slot",0,1," GenerateSlotButtons();"))	
	GUI.Objs.push(new Button(240,40,"Add Line",0,1,"Reset(); GeneratePointButtons();"))	
	GUI.Objs.push(new Button(240,60,"Undo Line",0,1,"Undo();"))
	if (sym_mode != true) GUI.Objs.push(new Button(240,100,"Save Ship",0,1,"font.drawText(100,100,'File name?'); SaveShip('player_'+GetString(100, 110, font, 23)+'.shp',Edit_Ship)"))	
	if (sym_mode != true) GUI.Objs.push(new Button(240,120,"Load Ship",0,1,"font.drawText(100,100,'File name?'); Edit_Ship = LoadShip('player_'+GetString(100, 110, font, 23)+'.shp'); Reset();"))	
	
	if (sym_mode == true) GUI.Objs.push(new Button(240,160,"Preview",0,1,"Trans(Preview);"))
	//GUI.Objs.push(new Button(240,200,"Back",0,1,"Trans(Building_Menu);"))
	
	if (sym_mode != true) GUI.Objs.push(new Button(240,220,"Launch!",0,1,"LoadLevel(current_level,1)"))

	if (sym_mode == true) GUI.Objs.push(new Text(240,220,"(Sym Mode)"))
	
	GUI.Objs.push(new Button(5,220,"Back",0,1,"ship_edit = false; sym_mode = false; Edit_Ship = new line_ship([new point(0,0)],[]); Trans(SymOrNorm_Menu)"))

	GUI.Objs.push(new Text(0,0,"$"+money))
	GUI.Editable.push(GUI.Objs.length-1)
	GUI.Objs.push(new Text(20,20,"Shields: "+shields))
	GUI.Editable.push(GUI.Objs.length-1)
	GUI.Objs.push(new Text(20,30,"Cost: "+shields*100))
	GUI.Editable.push(GUI.Objs.length-1)	

	GUI.Objs.push(new Button(10,20,"+",0,1,"BuyShields()"))
	GUI.Objs.push(new Button(100,20,"-",0,1,"SellShields()"))

	GUI.Windows.push(LoadWindowStyle("Active.rws"))
	GUI.Windows.push(LoadWindowStyle("Inactive.rws"))	
	
	GUI.Images.push(LoadImage("grid.png"))
	
	primary_objs = GUI.Objs.length

	if (bg_off == false)
		{

			if (sym_mode == true) points = [new point(25,25)]
			else { points = [new point(50,25)] }
			//lines = [new line(points[0].id,points[1].id)]
			lines = []
			doodles = []
			Edit_Ship = new line_ship(points,lines,doodles)
			//cur_img = GenerateShipImage(Edit_Ship)	
		}
	
	cur_img = GenerateShipImage(Edit_Ship)
			
	bg_off = false

}

//shields formula = current shields * 100 = shield price
function BuyShields()
{
	if (money >= shields*100)
		{
			money -= shields*100
			shields++;
			GUI.Objs[GUI.Editable[0]].Text = "$"+money
			GUI.Objs[GUI.Editable[1]].Text = "Shields: "+shields
			GUI.Objs[GUI.Editable[2]].Text = "Cost: "+shields*100
		}
}

function SellShields()
{
	if (shields > 0)
		{
			money += (shields-1)*100
			shields--;
			GUI.Objs[GUI.Editable[0]].Text = "$"+money
			GUI.Objs[GUI.Editable[1]].Text = "Shields: "+shields
			GUI.Objs[GUI.Editable[2]].Text = "Cost: "+shields*100
		}
}


function Preview()
{
	ship_edit = true;
	bg_off = true

	//Old_Ship = Clone(Edit_Ship)

	Old_Ship = new line_ship([new point(0,0)],[])


	for (var i = 0; i < Edit_Ship.point.length; i++)
		{
			Old_Ship.point[i] = Clone(Edit_Ship.point[i])
		}

	for (var i = 0; i < Edit_Ship.line.length; i++)
		{
			Old_Ship.line[i] = Clone(Edit_Ship.line[i])
		}				

	sym_mode = false
	
	Edit_Ship = Sym_Ship(Edit_Ship)
	
	cur_img = GenerateShipImage(Edit_Ship)	

	OldBG = GUI.BG
	OldBGS = GUI.BG_Scroll
	GUI = new gui()

	GUI.BG = OldBG
	GUI.BG_Scroll = OldBGS
	
	GUI.Objs.push(new Text(100,30,"Preview"))
	
	GUI.Objs.push(new Button(80,150,"Done",0,1,"undo = []; Trans(Building_Menu);"))
	
	GUI.Objs.push(new Button(140,150,"Back",0,1,"Edit_Ship = Old_Ship; sym_mode = true; Trans(Building_Menu);"))
	
	GUI.Windows.push(LoadWindowStyle("Active.rws"))
	GUI.Windows.push(LoadWindowStyle("Inactive.rws"))	
}

function Undo()
{
	if (undo.length > 0)
		{

			if (undo[undo.length-1] == 0)
				{
					Edit_Ship.point.pop();
					Edit_Ship.line.pop();
					undo.pop();
				}
			else
				{
					Edit_Ship.line.pop();
					undo.pop();		
				}
				
		}
		
	Reset()	
}

function GenerateSlotButtons()
{
	Reset();
	
	for (var i = 0; i < Edit_Ship.point.length; i++)
		{
			if (Edit_Ship.point[i].slot == 1)
				{
					GUI.Objs.push(new Button(Edit_Ship.point[i].x+norm_x,Edit_Ship.point[i].y+norm_y,"X",0,1,"Edit_Ship.point["+i+"].slot = 0; DestroyConstructs(); GenerateSlotButtons();"))
				}
			else
				{
					GUI.Objs.push(new Button(Edit_Ship.point[i].x+norm_x,Edit_Ship.point[i].y+norm_y,"O",0,1,"if (GetSlotNumber() < slot_limit) { Edit_Ship.point["+i+"].slot = 1; GenerateSlotButtons(); } "))
				}
		
		}
}

function GetSlotNumber()
{
	n = 0
	
	for (var i = 0; i < Edit_Ship.point.length; i++)
		{
			if (Edit_Ship.point[i].slot == 1) n++;
		}	
	
	return n	
}

function GeneratePointButtons()
{
	for (var i = 0; i < Edit_Ship.point.length; i++)
		{
			if (sym_mode == true)
				{
					GUI.Objs.push(new Button(Edit_Ship.point[i].x+sym_x,Edit_Ship.point[i].y+sym_y,"{",0,1,"DestroyConstructs(); BuildLine("+i+");  "))
				}
			else
				{
					GUI.Objs.push(new Button(Edit_Ship.point[i].x+norm_x,Edit_Ship.point[i].y+norm_y,"{",0,1,"DestroyConstructs(); BuildLine("+i+");  "))
				}
		
		}
}

function GenerateConnectButtons(p)
{
	for (var i = 0; i < Edit_Ship.point.length; i++)
		{
			if (sym_mode == true)
				{
					if (i != p) GUI.Objs.push(new Button(Edit_Ship.point[i].x+sym_x,Edit_Ship.point[i].y+sym_y,"}",0,1,"ConnectPoint("+i+")"))
				}
			else
				{
					if (i != p) GUI.Objs.push(new Button(Edit_Ship.point[i].x+norm_x,Edit_Ship.point[i].y+norm_y,"}",0,1,"ConnectPoint("+i+")"))
				}
		
		}
}

function ConnectPoint(p)
{
	Edit_Ship.line.push(new line(Edit_Ship.point[p].id,mode[1]))
	Reset()
	undo.push(1)
}

function DestroyConstructs()
{
	while (GUI.Objs.length > primary_objs)
		{
			GUI.Objs.pop();
		}
}

function BuildLine(p)
{
	GenerateConnectButtons(p)
	mode[0] = 1
	mode[1] = Edit_Ship.point[p].id;
}

//log = OpenLog('log.log')

function MakePoint(x,y)
{
	pnt = new point(x,y)
	Edit_Ship.point.push(pnt)
	//Abort(mode[1]+"-"+Edit_Ship.point[Edit_Ship.point.length-1].id)
	Edit_Ship.line.push(new line(mode[1],pnt.id))
	undo.push(0)
	//cur_img = GenerateShipImage(Edit_Ship)
	/*
	for (var i = 0; i < Edit_Ship.point.length; i++)
		{
			log.write(i+"POINT X-"+Edit_Ship.point[i].x)
			log.write(i+"POINT Y-"+Edit_Ship.point[i].y)
			log.write(i+"POINT ID-"+Edit_Ship.point[i].id)
		}
	for (var i = 0; i < Edit_Ship.line.length; i++)
		{
			log.write(i+"LINE P1-"+Edit_Ship.line[i].point1)
			log.write(i+"LINE P2-"+Edit_Ship.line[i].point2)
			log.write(i+"LINE ID-"+Edit_Ship.line[i].id)
		}
	*/			
	Reset()
}

function Reset()
{
	cur_img = GenerateShipImage(Edit_Ship)
	mode[0] = 0
	DestroyConstructs()
}