function DisplayBriefing()
{

	if (GetTime() > next_update[0]) 
		{
			reset = true
		}	

	for (var i = 0; i < GUI.BG.length; i++)
		{
			if (reset == true) GUI.BG_Scroll[i][1] = GUI.BG_Scroll[i][1]+GUI.BG_Scroll[i][0]
			if (GUI.BG_Scroll[i][1] >= 240) { GUI.BG_Scroll[i][1] = 0 }
			GUI.BG[i].blit(0,-240+GUI.BG_Scroll[i][1])
			GUI.BG[i].blit(0,GUI.BG_Scroll[i][1])
		}
	
	if (reset == true) { next_update[0] = GetTime() + update_rate[0]; }
	
	font.drawTextBox(20, 20, 280, 200, 0, TextBox.slice(where,TextBox.length))
	
	font.drawText(10,225,"UP/DOWN to scroll, S to save, SPACE to continue")	

	if (GetTime() > next_update[1]) 
		{
			if (IsKeyPressed(KEY_UP))
				{
					if (where > 0) where -= 3;
				}
			if (IsKeyPressed(KEY_DOWN))
				{
					if (where < TextBox.length) where += 3;
				}
			if (IsKeyPressed(KEY_SPACE))
				{
					if (END == false)
						{
							SymOrNorm_Menu()
							ProcList = new Array();
							ProcList.push(GUIRender)
							ProcList.push(GUIProc)
							while (AreKeysLeft()) GetKey()
						}
					else
						{
							LoadLevel(current_level,1)
							END = false
						}
				}
			if (IsKeyPressed(KEY_S))
				{
					SaveGame()
					Saved()
					ProcList = new Array();
					ProcList.push(GUIRender)
					ProcList.push(GUIProc)											
				}
			next_update[1] = GetTime() + update_rate[1];
		}	
	
}

var END = false

where = 0

function LoadLevel(lvl,t)
{
	current_level = lvl
	switch (lvl)
		{
			case 1:
				if (t == 0)
					{
						dead = false
						where = 0
						TextBox = "Space command has issued orders for me to investigate a mysterious portal that has recently appeared.\nEstimated time of arrival is 5 minutes.\nI hope this mission is quick...Space command had better not be trying to make me lose my Christmas vacation again. Nontheless, since it's been awhile since I've flown I am re-reading the flight manuals...bloody regulations.\n\nINSTRUCTIONS:\nBefore every mission, you will be asked to design your ship.\n\nYour ship is comprised entirley of lines connected by points. To add a new line, press the add line button, select the point you want to have it attached to, then where to place the new point or connect it to a previously existing one. \n\nIf you make a mistake, simply press the undo button and you'll be restored to what you had before you did it. You can undo all the way back to one dot. \n\nIn order to fly a mission, you need a minimum width of 25.\n\nSymmetric mode makes your ship symmetrical by taking the half you draw, and mirroring it and connecting them. Press the preview button after drawing to see a preview version of this.\n\n Once you are satisfied, press the ok button in the preview window and you will be taken to the normal editor. \n\nIn the normal editor you may assign how many shields you want, place particle points (where your weapons will be when you get them), save your ship design, and load previous ship designs.\n\nWhen flying in combat systems you have in addition to your movement keys, 5 primary function keys. They are,\n\nA: Fire all weapons.\nS: Change ship color\nD: Rotate particle weapons\nP: Pause game\nSpace: Build particle weapon\n\nIn order to put weapons on your craft, you must get particle building points from enemy vessels. If you are hit by an enemy weapon of the same color as yourself, rather than sustaining damage your ship will asorb it into a particle building point of that color.\n\nWhen you press the build button, your ship will utilize the current build points to add an additional weapon particle to your ship, if all the slots are full then the first particle weapon will be replaced. This process requires 10 of each color build points at the minimum to perform- varying amounts will create different weapons."
						LevelOne();
						ProcList = new Array()
						ProcList.push(DisplayBriefing)
					}
				if (t == 1)
					{
						if (GenerateGameShipImage(Edit_Ship).width >= 25)
							{
								LevelOnePart2()
								StartGame()
							}
						else
							{
								Building_Menu()
							}
					}
			break;
			case 2:
				if (t == 0)
					{
						dead = false
						where = 0
						TextBox = "Upon arriving at the portal I was ambushed by enemy ships. I managed to destroy them, but while I was distracted I flew too close and was sucked into the portal!\n\nI am trying to figure out where I am. I believe my flight navigation system is malfunctioning due to it reading I am in the same spot as I was a few moments before.\n\nObviously, this cannot be correct. It is, however, reading that there are incoming ships.."
						LevelTwo();
						ProcList = new Array()
						ProcList.push(DisplayBriefing)
					}
				if (t == 1)
					{
						if (GenerateGameShipImage(Edit_Ship).width >= 25)
							{
								LevelTwoPart2()
								StartGame()
							}
						else
							{
								Building_Menu()
							}
					}			
			break;
			case 3:
				if (t == 0)
					{
						dead = false
						where = 0
						TextBox = "After the skirmish with the enemy, I received a communication from an unknown source telling me to go to a set of coordinates.\nSince I can no longer contact space command, I can only assume I'm in some sort of alternate universe that's identical to our own..\n\nBecause I have no other options, I am following the course. I have just arrived, and yet more enemys await me."
						LevelThree();
						ProcList = new Array()
						ProcList.push(DisplayBriefing)
					}
				if (t == 1)
					{
						if (GenerateGameShipImage(Edit_Ship).width >= 25)
							{
								LevelThreePart2()
								StartGame()
							}
						else
							{
								Building_Menu()
							}
					}			
			break;
			case 4:
				if (t == 0)
					{
						dead = false
						where = 0
						TextBox = "After the battle, I received another communication from the same unknown source. It gave me another set of coordinates, and told me the way to get back is there. \n\nAfter encountering the last group of enemys, I am hesitant to heed it.\n\nBut since there are scarce any other options I have decided to follow it anyway, even though it may be my undoing..."
						LevelFour();
						ProcList = new Array()
						ProcList.push(DisplayBriefing)
					}
				if (t == 1)
					{
						if (GenerateGameShipImage(Edit_Ship).width >= 25)
							{
								LevelFourPart2()
								StartGame()
							}
						else
							{
								Building_Menu()
							}
					}			
			break;
			case 5:
				if (t == 0)
					{
						dead = false
						where = 0
						TextBox = "During the last battle I managed to recover some data logs that seem to have been left for me...\n\nAccording to them, I have been sent into the future via the portal I went into...unlikley, but as I still can't communicate it dosen't seem too unlikley.\n\nI have also detected an enormous power source nearby. Since communication with star command is out, I have decided to investigate...\n\nUpon arriving at the coordinates, I have seen a nearby ice-coverd planet...a huge enemy ship is guarding it.. \n\nFurther study of the data logs reveals this is the source of the portals...\n\nIf I destroy it, I can prevent this future from really occuring...\n\nBut I'll also be stuck here.\n\nRegardless, I am approaching it, looking for a weakness..."
						LevelFive();
						ProcList = new Array()
						ProcList.push(DisplayBriefing)
					}
				if (t == 1)
					{
						if (GenerateGameShipImage(Edit_Ship).width >= 25)
							{
								LevelFivePart2()
								StartGame()
							}
						else
							{
								Building_Menu()
							}
					}			
			break;
			case 6:
				if (t == 0)
					{
						dead = false
						where = 0
						TextBox = "After destroying the massive enemy ship, I seem to have broken a hole into the planet. I've decided this is my chance to get rid of it.\n\nI am going in a suicide run.\n\nThe worst part of this is.. I'll never go down in history as saving us. Merley the pilot that disappeard... In hopes this time will somehow still exist and to have my memory thus exist, I am dispatching this log.\n\nEven though my family will probably be dead by the time this is found... merry Christmas."
						LevelSix();
						ProcList = new Array()
						ProcList.push(DisplayBriefing)
					}
				if (t == 1)
					{
						if (GenerateGameShipImage(Edit_Ship).width >= 25)
							{
								LevelSixPart2()
								StartGame()
							}
						else
							{
								Building_Menu()
							}
					}			
			break;						
			case 100:
				if (t == 0)
					{
						dead = false
						where = 0
						TextBox = "When I enterd the sector, it was flooded with enemys near a nearby water-coverd planet. After dispatching the enemys surrounding it, I went closer and discoverd a similar portal. \n\nAfter traveling through it, I find myself back home, with space command as it should be. I am unsure what has occured, but the idea of a universe coverd with our enemy gives me a very bad feeling in my gut...\n\nCongradulations! You've beaten Linie Schiff 2! Remember, there's another ending if you manage to find it..."
						ProcList = new Array()
						ProcList.push(DisplayBriefing)
						END = true
					}
				if (t == 1)
					{
						ProcList = new Array()
						CreditsB()
					}				
			break;
			case 200:
				if (t == 0)
					{
						dead = false
						where = 0
						TextBox = "Congradulations! You've beaten Linie Schiff 2! Remember, there's another ending if you manage to find it..."
						ProcList = new Array()
						ProcList.push(DisplayBriefing)
						END = true
					}
				if (t == 1)
					{
						ProcList = new Array()
						CreditsB()
					}				
			break;									
		}
}

function StartGame()
{
	ProcList = new Array()
	ProcList.push(RenderGame)
	ProcList.push(ProcInput)
	ProcList.push(ProcGame)	
}

function EndGame()
{
	if (GetTime() > next_update[6]) 
		{
			wait++;
			next_update[6] = GetTime() + update_rate[6];
		}
	if (wait >= 200)
		{
			ChangeMusic("menu.ogg")
			LoadLevel(current_level,0)
		}
	font.drawText(90,105,"Mission Complete.")	
}

function Reload()
{
	LoadLevel(current_level,0); 
	LoadLevel(current_level,1)
}