EvaluateSystemScript("circles.js")
EvaluateSystemScript("input.js")
EvaluateSystemScript("colors.js")
EvaluateSystemScript("intro.js")
EvaluateScript("audio.js")

EvaluateScript("data.js")
EvaluateScript("AI.js")
EvaluateScript("line.js")
EvaluateScript("build.js")
EvaluateScript("global.js")
EvaluateScript("GUI.js")
EvaluateScript("managers.js")

EvaluateScript("game_objs.js")
EvaluateScript("projectiles.js")
EvaluateScript("level.js")
EvaluateScript("game.js")
EvaluateScript("campaign.js")

EvaluateScript("ZLEVEL-1.js")
EvaluateScript("ZLEVEL-2.js")
EvaluateScript("ZLEVEL-3.js")
EvaluateScript("ZLEVEL-4.js")
EvaluateScript("ZLEVEL-5.js")
EvaluateScript("ZLEVEL-6.js")

var update_rate = new Array()
var next_update = new Array()

/*
Song list
space - level 2
face - menu
fist - boss 2
monkeys - boss 1 
bouncy - level 1
*/

function UpdateScreen() 
{
	var clip = GetClippingRectangle(); 
	SetClippingRectangle(0, 0, GetScreenWidth(), GetScreenHeight()); 
	FlipScreen(); 
	SetClippingRectangle(clip.x, clip.y, clip.width, clip.height);
}

for (var i = 0; i < 7; i++)
{
	update_rate[i] = 100/6
	next_update[i] = GetTime() + update_rate[i];
}

function Random(lo,hi) // Returns a random number between hi and low.
{
	var random = lo += Math.floor(Math.random() * (hi - lo));
	return random
}

function game() 
{ 
	//CreditsB()

	//ChangeMusic("level1.ogg")
	
	//ProcList.push(State_Manager_Run)
	
	ProcList.push(GUIRender)
	ProcList.push(GUIProc)
	
	//ProcList.push(RenderGame)
	//ProcList.push(ProcInput)
	//ProcList.push(ProcGame)
	
	//ProcList.push(DisplayBriefing)
	
	//StateList.push(Menu)
	
	Title()
	
	while (1) 
		{ 
			Process_Manager_Run()
			
			FlipScreen();
			//UpdateScreen()
		} 
}

function DoNothing() { }

function Clone(object) //much thanks to WIP for this handy piece of code.
{
var objectClone = new object.constructor();
for (var property in object)
	{
		objectClone[property] = object[property]
	}
return objectClone;
}

function ApplyMask(img,mask)
{
img = img.createSurface()
img.setBlendMode(REPLACE)
	for (var x = 0; x < img.width; x++)
		{
			for (var y = 0; y < img.height; y++)
				{
					mask.alpha = img.getPixel(x,y).alpha
					img.setPixel(x, y, mask)
				}
		}	
mask.alpha = 255		
return img.createImage()
}

function CreditsB()
{
	ChangeMusic("level1.ogg")
	SetFrameRate(20)
  var intro = new Intro();


  intro.addImage(LoadImage("ls2.gif"));
  intro.addSpace(15);
  intro.addText("A");
  intro.addSpace(10);
  intro.addText("Team");
  intro.addSpace(15);
  intro.addImage(LoadImage("DUMB.bmp"));
  intro.addSpace(15);  
  intro.addText("Production");
  intro.addSpace(20);
  intro.addText("-Scripting, Level/Enemy design-");
  intro.addText("SDHawk");
  intro.addSpace(15);  
  intro.addText("-Soundtrack-");
  intro.addText("Sivako");
  intro.addSpace(15);
  intro.addText("-Team DUMB Logo-");
  intro.addText("Salamando");
  intro.addSpace(15);
  intro.addText("-Lead Guy who does nothing-");
  intro.addText("Scythe");
  intro.addSpace(15);    
  intro.addText("-Special Thanks-");
  intro.addText("Chad Austin (AegisKnight)");
  intro.addText("Brian Robb (Flik)");
  intro.addText("Eric Duvic");
  intro.addText("WIP");      
  intro.addSpace(15);
  intro.addText("-Public Relations-");
  intro.addText("(AKA: The guy who's fault it")
  intro.addText("is I had to remove 4 levels)")
  intro.addText("Zaxim");
  intro.addSpace(15); 
  intro.addText("MADE FOR TOMT64'S CHRISTMAS COMPO '03");
  intro.addText("AND HUMAN DAY CONTEST '03")
  intro.addSpace(15);             

  intro.play();
  Exit()
}