function Projectile(x,y,mt,spr,g,t,oT,spe,pr, color)
{
	this.x = x
	this.y = y
	this.move_type = mt
	this.sprite = spr
	this.group = g // Players (0), enemys (1), or neither (2)
	this.type = t // Projectile (0),effect (1),item (2)
	this.onTouch = oT // for projectiles, amount of damage. for items, a line of code. effects, dosen't apply
	this.speed = spe
	this.props = pr
	this.color = color 
	
}

/*
Move Types
0 up
1 down
2 left
3 right
*/

sparticle = LoadImage("sparticle.png")

var projectile_imgs = new Array()
	projectile_imgs.push(ApplyMask(sparticle,Red))
	projectile_imgs.push(ApplyMask(sparticle,Green))
	projectile_imgs.push(ApplyMask(sparticle,Red))
	projectile_imgs.push(ApplyMask(sparticle,Green))	
	projectile_imgs.push(Circle( 2, Red ))
	projectile_imgs.push(Circle( 2, Green ))
	projectile_imgs.push(ApplyMask(LoadImage("line1.png"),Red))
	projectile_imgs.push(ApplyMask(LoadImage("line2.png"),Red))
	projectile_imgs.push(ApplyMask(LoadImage("line1.png"),Green))
	projectile_imgs.push(ApplyMask(LoadImage("line2.png"),Green))	
	projectile_imgs.push(ApplyMask(LoadImage("laser.png"),Red))
	projectile_imgs.push(ApplyMask(LoadImage("laser.png"),Green))	
	projectile_imgs.push(ApplyMask(LoadImage("swirl.png"),Red))
	projectile_imgs.push(ApplyMask(LoadImage("swirl.png"),Green))		

/*
	projectile_imgs.push(Circle( 3, Red ))
	projectile_imgs.push(Circle( 3, Green ))
	projectile_imgs.push(GradientCircle( 3, White, Red ))
	projectile_imgs.push(GradientCircle( 3, White, Green ))
*/
var Projectiles = new Array()
	//Projectiles.push(new Projectile(50,140,0,3,2,1,0,2,[]))

function ProcProjectiles()
{
	if (GetTime() > next_update[3])
		{
			for (var i = 0; i < Projectiles.length; i++)
				{
					kill = false
					switch (Projectiles[i].move_type)
						{
							case 0:
								Projectiles[i].y -= Projectiles[i].speed;
								Projectiles[i].x += Random(-1,1) 
							break;
							case 1:
								Projectiles[i].y += Projectiles[i].speed;
								Projectiles[i].x += Random(-1,1) 
							break;							
							case 2:
								Projectiles[i].x -= Projectiles[i].speed;
								Projectiles[i].y += Random(-1,1) 
							break;
							case 3:
								Projectiles[i].x += Projectiles[i].speed;
								Projectiles[i].y += Random(-1,1) 
							break;
							case 4:
								Projectiles[i].y -= Projectiles[i].speed;
								Projectiles[i].x += Random(-10,10) 							
							break;	
							case 5:
								Projectiles[i].y += Projectiles[i].speed;
								Projectiles[i].x += Random(-10,10) 							
							break;
							case 6:
								Projectiles[i].y -= Projectiles[i].speed;							
							break;
							case 7:
								Projectiles[i].y += Projectiles[i].speed;							
							break;																																				
						}
						
					if (Projectiles[i].type != 1)
							{
								switch (Projectiles[i].group)
									{
										case 0:
											for (var i2 = 0; i2 < Enemys.length; i2++)
												{
													if ( 
															Projectiles[i].x <= Ship_ImageA[Enemys[i2].sprite].width+Enemys[i2].x &&
															Projectiles[i].x >= Enemys[i2].x &&
															Projectiles[i].y >= Enemys[i2].y &&
															Projectiles[i].y <= Enemys[i2].y+Ship_ImageA[Enemys[i2].sprite].height 
														 )
														  
														 {
															 if (Projectiles[i].type == 0)
																 {
																	 DamageEnemy(i2,Projectiles[i].onTouch,Projectiles[i].color)
																 }
															 else
																 {
																	 eval(Projectiles[i].onTouch)
																 }
																kill = true
														 }
												}
										break;
							
										case 1:
											for (var i2 = 0; i2 < Players.length; i2++)
												{										
													if ( 
															Projectiles[i].x <= Ship_ImageA[Players[i2].sprite].width+Players[i2].x &&
															Projectiles[i].x >= Players[i2].x &&
															Projectiles[i].y >= Players[i2].y &&
															Projectiles[i].y <= Players[i2].y+Ship_ImageA[Players[i2].sprite].height 
														 )
														  
														 {
															 if (Projectiles[i].type == 0)
																 {
																	 DamagePlayer(i2,Projectiles[i].onTouch,Projectiles[i].color)
																 }
															 else
																 {
																	 eval(Projectiles[i].onTouch)
																 }
																kill = true
														 }
												}	 							
										break;
							
										case 2:
											for (var i2 = 0; i2 < Enemys.length; i2++)
												{
													if ( 
															Projectiles[i].x <= Ship_ImageA[Enemys[i2].sprite].width+Enemys[i2].x &&
															Projectiles[i].x >= Enemys[i2].x &&
															Projectiles[i].y >= Enemys[i2].y &&
															Projectiles[i].y <= Enemys[i2].y+Ship_ImageA[Enemys[i2].sprite].height 
														 )
														  
														 {
															 if (Projectiles[i].type == 0)
																 {
																	 DamageEnemy(i2,Projectiles[i].onTouch,Projectiles[i].color)
																 }
															 else
																 {
																	 eval(Projectiles[i].onTouch)
																 }
																kill = true
														 }
												}
											for (var i2 = 0; i2 < Players.length; i2++)
												{										
													if ( 
															Projectiles[i].x <= Ship_ImageA[Players[i2].sprite].width+Players[i2].x &&
															Projectiles[i].x >= Players[i2].x &&
															Projectiles[i].y >= Players[i2].y &&
															Projectiles[i].y <= Players[i2].y+Ship_ImageA[Players[i2].sprite].height 
														 )
														  
														 {
															 if (Projectiles[i].type == 0)
																 {
																	 DamagePlayer(i2,Projectiles[i].onTouch,Projectiles[i].color)
																 }
															 else
																 {
																	 eval(Projectiles[i].onTouch)
																 }
																kill = true
														 }
												}	 																			
										break;
									}
							}
							
					if (Projectiles[i].x > 420 || Projectiles[i].x < -20 || Projectiles[i].y > 260 || Projectiles[i].y < -60)
						{
							Projectiles.splice(i,1)
						}
					if (kill == true)
						{
							Projectiles.splice(i,1)
						}
				}
			next_update[3] = GetTime() + update_rate[3];
		}
}

function DamageEnemy(n,amount,color)
{
	if (color != Enemys[n].color)
		{
			Enemys[n].shields -= amount*2;
			PlaySound("hit.wav",.5)
		}
	else
		{
			Enemys[n].shields -= amount;
			PlaySound("hit.wav",1)		
		}
	
	if (Enemys[n].shields < 0)
		{
			for (var i = 0; i < Random(4,8); i++)
				{
					Projectiles.push(new Projectile(Enemys[n].x+Random(-10,10),Enemys[n].y+Random(-10,10),Random(0,3),Random(7,10),2,1,0,Random(1,4),[1,0],0))
				}
			for (var i = 0; i < Players.length; i++)
				{
					Players[i].money += Enemys[n].money
				}	
			Enemys.splice(n,1)
			PlaySound("boom.wav",Random(0.5,2))		
		}
}

dead = false

function DamagePlayer(n,amount,color)
{
	if (color != Players[n].color)
		{
			Players[n].shields -= amount;
			PlaySound("hit.wav",1)
		}
	else
		{
			if (color == 0)
				{
					Players[n].red++;
				}
			else
				{
					Players[n].green++;
				}
			PlaySound("asorb.wav",Random(.5,2))	
			
		}
	
	if (Players[n].shields < 0)
		{
			for (var i = 0; i < Random(10,20); i++)
				{
					Projectiles.push(new Projectile(Players[n].x+Random(-10,10),Players[n].y+Random(-10,10),Random(0,3),Random(7,10),2,1,0,Random(1,4),[1,0],0))
				}		
			Players.splice(n,1)
			PlaySound("boom.wav",Random(0.5,2))
			dead = true;		
			//if (Players.length == 0) { ProcList = new Array(); ProcList.push(Reload); }
		}
}